anpera.net
http://anpera.homeip.net/phpbb3/

lotgd Dragonslayer Edition V3.5 - Update 1 ist online
http://anpera.homeip.net/phpbb3/viewtopic.php?f=43&t=5564
Seite 1 von 4

Autor:  Bathory [ So 21 Feb, 2016 03:47 ]
Betreff des Beitrags:  lotgd Dragonslayer Edition V3.5 - Update 1 ist online

Nachdem die DS3 nun lange genug mit ihren Unzulänglichkeiten herumgegeister ist (siehe: viewtopic.php?f=43&t=4865 ) gibt es nun die DS3.5.

Die DS3.5 ist eine massive Überarbeitung (fast ausschließlich durch mich :D) der DS3 in den letzten 7 Jahren.

Sie läuft unter PHP 7.0 und MySQL 5.6 (oder MariaDB 10.x) am besten.

Download-Link [aktuellste Version]: https://www.atrahor.de/_source/ds_lotgd_3.5.1.zip

Bitte bedenkt: Die DS-Version ist kein Selbstbedienungladen für Leute die meinen die Arbeit von Dritten als ihre eigene ausgeben zu müssen.

Nicht, dass die DS3.5 den gleichen unrühmlichen Weg der DS3 geht.

Fragen und Probleme, können hier gestellt werden :).

Autor:  Bathory [ Fr 26 Feb, 2016 20:43 ]
Betreff des Beitrags:  Re: lotgd Dragonslayer Edition V3.5 - nun mit Download

Habe mich nun entschieden, den Download für alle öffentlich zu machen. :shock:

Link im ersten Beitrag. :zack:

Autor:  Bathory [ Fr 11 Mär, 2016 11:17 ]
Betreff des Beitrags:  Re: lotgd Dragonslayer Edition V3.5 - Update 1 ist online

Version 3.5.1 ist da.

Update von 3.5.0 auf 3.5.1: https://www.atrahor.de/_source/update_3 ... _3.5.1.zip

Full 3.5.1: https://www.atrahor.de/_source/ds_lotgd_3.5.1.zip

Autor:  Anubis92 [ Di 15 Mär, 2016 19:34 ]
Betreff des Beitrags:  Re: lotgd Dragonslayer Edition V3.5 - Update 1 ist online

Moin!


Also... Ich habe es mir jetzt mal Heruntergeladen und auf meinem Localhost angeschaut.

Ich muss sagen eine Klasse Arbeit von euch / dir! Bis auf einige kleine optische Sachen... Aber dazu später mehr :)

Finde ich Super, das es noch eine neue Veröffentlichung gibt und dann sogar PHP 7 fähig :) Bin die letzten Wochen selber dran verzweifelt die Anpera Version auf 7 umzuschreiben ;(

Mir bleiben aber einige Dinge dabei im Hinterkopf, die ich gerne mal abklären würde :)

1. Ich würde gerne mal wieder ein Online Server für einige alte Bekannte und mich einrichten, mit eurer Version. Selbstverständlich, behalte ich alle Copyright Hinweise an Dragonslayer / Arathor, wie Sie bereits jetzt vorhanden sind und würde eine weitere gesonderte Pop-Up Seite hinzufügen die zu Arathor bzw. hier in diesen Forums Thread führt für Interessierte am Pack, wenn da nichts gegen spricht?


2. Würde ich gerne, zwangsläufig eigentlich, viele Navs / Verlinkungen ändern. Ich persönlich finde die Aufteilung der Navigationen und die Masse an Plätzen erschlagend. Dutzende Navs und man weiß gar nicht wo man zu erst hin soll... Oder was es bringt dahin zugehen. Dadurch würde bei mir sich einiges verändern...


3. Im Template ist oben Rechts eingeblendet "Chroniken von Arathor" an und für sich Schick - Ist es aber gewollt das Server auf eurem Paket mit diesem Schriftzug werben oder ihn nutzen? Wenn der dahin gehört, bleibt er genau dort wo er ist. Es hat mich nur ein wenig Verwirrt als es mir aufgefallen ist.

Grüße

Autor:  Bathory [ So 20 Mär, 2016 11:32 ]
Betreff des Beitrags:  Re: lotgd Dragonslayer Edition V3.5 - Update 1 ist online

Hi :)

Zu 1) eine gesonderte Seite ist nicht nötig, steht dir aber selbstverständlich frei.

Zu 2) selbstverständlich sollte man das tun ^.^ Orte ändern, Navs ändern Texte ändern bis man umfällt und zufrieden ist. :)

Zu 3) Das Bild darf (so wie alles andere auch) und sollte man verändern :).


Die DS-Version steht wie die 0.9.7 unter der GPL2 solange man sich an die Lizenz hält, darf man damit tun was man will :)!

Autor:  Anubis92 [ Di 29 Mär, 2016 09:42 ]
Betreff des Beitrags:  Re: lotgd Dragonslayer Edition V3.5 - Update 1 ist online

Tschuldigung, das meine Reaktion so lange gedauert hat!


Ich finde bei der ganzen Arbeit die in der Version steckt, sollte eine extra Seite absolute Pflicht sein als Dank und Respekterweis für die Mühe und Arbeit!


Ich beschäftige mich dann mit den ganzen Veränderungen - Auf meinem Localhost mit Xampp läuft alles wunderbar. Habe meinen Server jetzt mit IIS im Prinzip gleich eingestellt wie Xampp,
habe MariaDB heruntergeladen mit InnoDB und verwalte mit HeidiSQL, wie mitgeliefert.

(Soweit die Randinformationen)

Auf dem Server läuft es aber nicht... Er meckert bei der Registrierung das 90% der Fields kein Standartvalue haben. Wenn ich ihm aber Erlaube, die Standartwerte durch Null zu ersetzen, kann man im Newday keine Navs mehr annavigieren, eine manuelle Überbrückung im newday, hat dafür gesorgt das man unendlich neue Tage bekommen hat, ABER man kam trotzdem nicht aus dem newday raus *kopfkratz*

Ich finde meinen Fehler einfach nicht, hast du vielleicht einen Rat?


PS: http://85.214.36.30 -> Da liegt der Online Testserver zZ den ich versucht habe einzurichten. Im moment ist es komplett deine Orginalsource da ich das DB Problem nicht unter Kontrolle kriege :bash:

Autor:  Bathory [ Mo 04 Apr, 2016 12:52 ]
Betreff des Beitrags:  Re: lotgd Dragonslayer Edition V3.5 - Update 1 ist online

Danke für die Meldung.

Die Version ist nur auf Apache und Nginx getestet, sobald ich Zeit finde werde ich es mal unter IIS testen :)!

Autor:  Anubis92 [ Di 05 Apr, 2016 09:23 ]
Betreff des Beitrags:  Re: lotgd Dragonslayer Edition V3.5 - Update 1 ist online

Alles Klar! :)

Wenn du unter IIS PHP installierst, in meinem Fall 7.0.0 weil mein IIS eine höhere Version nicht Unterstützt außer über manuelle Installation, sind Cookies ausgeschaltet. Nach Aktivierung nur auf 200 Sek. festgelegt, muss man also beides noch manuell anpassen. MySQL, wie erwähnt, nutze ich nicht über das IIS sondern getrennt MariaDB welche aber Problemlos funktioniert und einspringt. Ich vermute den Error eher in der DB als in der Verwendung mit IIS, z.Z. versuche ich phpmyadmin zu Installieren, aus der Hoffnung heraus das HeidiSQL als Interface nicht in der Lage ist die DB korrekt einzuspielen.

Autor:  anpera [ Di 05 Apr, 2016 11:40 ]
Betreff des Beitrags:  Re: lotgd Dragonslayer Edition V3.5 - Update 1 ist online

Die manuelle Installation von neueren PHP-Versionen ist unter IIS nicht schwer. Neue Version runterladen, in einen neuen PHP-Ordner entpacken, php.ini anlegen/kopieren/anpassen, in der IIS-Verwaltung deiner Seite neue PHP-Version hinzufügen, php.exe auswählen, fertig.

MySQL läuft hier auch als eigenständige Installation, nicht (mehr) über den Paketemanager vom IIS.

Autor:  Anubis92 [ Di 05 Apr, 2016 12:09 ]
Betreff des Beitrags:  Re: lotgd Dragonslayer Edition V3.5 - Update 1 ist online

anpera hat geschrieben:
Die manuelle Installation von neueren PHP-Versionen ist unter IIS nicht schwer. Neue Version runterladen, in einen neuen PHP-Ordner entpacken, php.ini anlegen/kopieren/anpassen, in der IIS-Verwaltung deiner Seite neue PHP-Version hinzufügen, php.exe auswählen, fertig.



Jep, aber für ein Update auf 7.0.4 lohnt der Aufwand ehrlich gesagt nicht z.Z. geht ja nur um ein LoGD.

anpera hat geschrieben:
MySQL läuft hier auch als eigenständige Installation, nicht (mehr) über den Paketemanager vom IIS.


Ja, die von IIS angebotene Version auf meinem Root bietet lediglich die MySQL 2008 iwas an. Ohne InnoDB, daher mein Umstieg auf MariaDB getrennt installiert von IIS. Läuft ja trotzdem zusammen

Autor:  Perrin [ Do 05 Mai, 2016 05:43 ]
Betreff des Beitrags:  Re: lotgd Dragonslayer Edition V3.5 - Update 1 ist online

Hallo zusammen, nachdem ich mich nun ein wenig mit der Version beschäftigt habe muss ich erstmal sagen: ja ich habe so meine Probleme meine Ideen umzusetzen, weil so vieles anders ist als damals, aber ich bin begeistert von den ganzen Möglichkeiten und werde auf jeden Fall weiterbasteln, vorausgesetzt ich bekomme das Problem gelöst. :)
Gerade optisch macht es einiges her. Nun wollte ich einen Kumpel von mir begeistern und wir haben es bei ihm hochgeladen.

Lokal hat bei mir alles funktioniert :( Ich dachte, ich habe vielleicht etwas geändert, dass das Problem verursacht, aber auch beim Installieren der Standardversion: Deine Sessionzeit ist abgelaufen, der Adminchara wird aber als online angezeigt.
Habe ich etwas vergessen?
Die Sufu hier zeigt nur ältere Beiträge von denen ich meine, dass sie nichts ändern würden, bzw nicht auf die DS Version anzuwenden sind.

Autor:  Anubis92 [ Do 05 Mai, 2016 11:45 ]
Betreff des Beitrags:  Re: lotgd Dragonslayer Edition V3.5 - Update 1 ist online

Das Problem hatte ich am Anfang auch ;)

Ihr müsst in der PHP config die Sessionzeit einstellen - Bei mir war die Standart auf 0 in der Config habe die jetzt auf 3600 gestellt.


Wenn ihr IIS unter einem Windows Server benutzt müsst ihr nur die PHP info von IIS öffnen, Einstellungen öffnen und die Session raussuchen

Autor:  Perrin [ Do 05 Mai, 2016 16:48 ]
Betreff des Beitrags:  Re: lotgd Dragonslayer Edition V3.5 - Update 1 ist online

Anubis92 hat geschrieben:
Das Problem hatte ich am Anfang auch ;)

Ihr müsst in der PHP config die Sessionzeit einstellen - Bei mir war die Standart auf 0 in der Config habe die jetzt auf 3600 gestellt.


Wenn ihr IIS unter einem Windows Server benutzt müsst ihr nur die PHP info von IIS öffnen, Einstellungen öffnen und die Session raussuchen

Danke dir, aber ich denke kann man bei gemietetem Webspace nicht ändern :[ Funktioniert die DS Version so vielleicht gar nicht?

Autor:  Anubis92 [ Do 05 Mai, 2016 20:10 ]
Betreff des Beitrags:  Re: lotgd Dragonslayer Edition V3.5 - Update 1 ist online

Doch, theoretisch schon. Dann müsst Ihr mal eine Anfrage bei eurem Host stellen.

Ansonsten setz doch mal einen Link zur phpinfo rein von eurem Host / Webspace damit man sich das ansehen kann

Autor:  Perrin [ Sa 07 Mai, 2016 04:15 ]
Betreff des Beitrags:  Re: lotgd Dragonslayer Edition V3.5 - Update 1 ist online

Anubis92 hat geschrieben:
Doch, theoretisch schon. Dann müsst Ihr mal eine Anfrage bei eurem Host stellen.

Ansonsten setz doch mal einen Link zur phpinfo rein von eurem Host / Webspace damit man sich das ansehen kann

Wir haben es hinbekommen :) allerdings kommen nun keine Mails an, zur Account verification oder PW vergessen.
Hast du das Problem vielleicht auch?

Autor:  Anubis92 [ Sa 07 Mai, 2016 13:20 ]
Betreff des Beitrags:  Re: lotgd Dragonslayer Edition V3.5 - Update 1 ist online

Nein, das konnte ich leider nicht Testen, da bei mir noch immer die Datenbank leider nicht ganz so will wie ich. Bin froh wenn ich Ende Mai mein neuen Server habe... ^^

Autor:  Niwasaka [ So 03 Jul, 2016 17:43 ]
Betreff des Beitrags:  Re: lotgd Dragonslayer Edition V3.5 - Update 1 ist online

Hallo,

wie habt ihr es gelöst? Bei mir kommen derzeit nur folgende Fehler:

Warning: file_put_contents(./cache/files/mem_obj_access_control_cache.php): failed to open stream: Permission denied in /homepages/28/d428345479/htdocs/site/lib/classes/class.Cache.php on line 48

Warning: Cannot modify header information - headers already sent by (output started at /homepages/28/d428345479/htdocs/site/lib/classes/class.Cache.php:48) in /homepages/28/d428345479/htdocs/site/utf8.php on line 242

Warning: Cannot modify header information - headers already sent by (output started at /homepages/28/d428345479/htdocs/site/lib/classes/class.Cache.php:48) in /homepages/28/d428345479/htdocs/site/utf8.php on line 242

Warning: Cannot modify header information - headers already sent by (output started at /homepages/28/d428345479/htdocs/site/lib/classes/class.Cache.php:48) in /homepages/28/d428345479/htdocs/site/utf8.php on line 242

Warning: Cannot modify header information - headers already sent by (output started at /homepages/28/d428345479/htdocs/site/lib/classes/class.Cache.php:48) in /homepages/28/d428345479/htdocs/site/lib/nav.lib.php on line 565

Autor:  Bathory [ Di 05 Jul, 2016 13:23 ]
Betreff des Beitrags:  Re: lotgd Dragonslayer Edition V3.5 - Update 1 ist online

@Niwasaka

Der Cache Ordner (inkl. Unterordner) muss durch PHP beschreibbar sein.
Da er es offensichtlich nicht ist solltest du ihm rekursiv CHMOD 777 verpassen.
Entweder per SSH oder FTP-Programm jenachdem was du benutzt. :)

Autor:  Niwasaka [ Mi 06 Jul, 2016 18:29 ]
Betreff des Beitrags:  Re: lotgd Dragonslayer Edition V3.5 - Update 1 ist online

Hallo,

konnte es inzwischen selbst lösen :) Es lag nicht am Cache Ordner sondern an einem Fehler des Webservers.

Warum ist im template Ordner die Datei: atrahor_main_style.css ist das die original Atrahor CSS?

Autor:  Bathory [ Mi 06 Jul, 2016 18:48 ]
Betreff des Beitrags:  Re: lotgd Dragonslayer Edition V3.5 - Update 1 ist online

Nein, da sind verschiedene grundlegende Styles drin, ich weiß gerade aber nicht auswendig ob und wo sie noch Verwendung findet.

Seite 1 von 4 Alle Zeiten sind UTC + 1 Stunde
Powered by phpBB® Forum Software © phpBB Group
https://www.phpbb.com/